SystemOrganization addCategory: #ConfigurationOfPhantomSpy!

Object subclass: #ConfigurationOfPhantomSpy
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfPhantomSpy'!

!ConfigurationOfPhantomSpy class methodsFor: 'development support' stamp: 'dgg 12/16/2011 20:34'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfPhantomSpy class methodsFor: 'private' stamp: 'dgg 12/16/2011 20:34'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfPhantomSpy class methodsFor: 'private' stamp: 'dgg 12/16/2011 20:34'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfPhantomSpy class methodsFor: 'private' stamp: 'dgg 12/16/2011 20:34'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfPhantomSpy class methodsFor: 'metacello tool support' stamp: 'dgg 12/16/2011 20:34'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfPhantomSpy class methodsFor: 'loading' stamp: 'dgg 12/16/2011 20:34'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfPhantomSpy class methodsFor: 'loading' stamp: 'dgg 12/16/2011 20:34'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfPhantomSpy class methodsFor: 'loading' stamp: 'dgg 12/16/2011 20:34'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfPhantomSpy class methodsFor: 'accessing' stamp: 'dgg 12/16/2011 20:34'!
project

	^self new project! !

!ConfigurationOfPhantomSpy class methodsFor: 'development support' stamp: 'dgg 12/16/2011 20:34'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfPhantomSpy methodsFor: 'baselines' stamp: 'dgg 12/26/2011 13:53'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://ss3.gemstone.com/ss/PhantomSpy'.
		spec 
			project: 'Phantom' with: [
				spec
					className: 'ConfigurationOfPhantom';
					versionString: #'development';
					repository: 'http://www.squeaksource.com/Phantom' ];
			project: 'XMLSupport' with: [
				spec
					className: 'ConfigurationOfXMLSupport';
					versionString: #'stable';
					repository: 'http://www.squeaksource.com/XMLSupport' ].
		spec package: 'Spy' with: [
				spec requires: #('Phantom' 'XMLSupport' ). ].
		spec group: 'default' with: #('Spy' ). ].
! !

!ConfigurationOfPhantomSpy methodsFor: 'symbolic versions' stamp: 'dgg 12/16/2011 20:40'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfPhantomSpy methodsFor: 'accessing' stamp: 'dgg 12/16/2011 20:34'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfPhantomSpy methodsFor: 'versions' stamp: 'dgg 12/26/2011 20:19'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'initial development version

- Better debugger browse capture
- Capture debugger button actions
- Capture windows position and extent
- XML output
- Better debugger browse capture
- Capture debugger button actions
- Capture windows position and extent
- XML output
- Better debugger browse capture
- Capture debugger button actions
- Capture windows position and extent
- XML output
- better OBBrowser browser pc to avoid capture on Window redraw'.
		spec author: 'dgg'.
		spec timestamp: '12/26/2011 20:19'.
		spec 
			project: 'Phantom' with: '1.2.2';
			project: 'XMLSupport' with: #'stable'.
		spec package: 'Spy' with: 'Spy-dgg.6'. ].
! !
